Bug 847770 - [rhevm-reports] - Reports - Message View gives Server Error Message and stuck
[rhevm-reports] - Reports - Message View gives Server Error Message and stuck
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 09:39 EDT by David Botzer
Modified: 2016-02-10 14:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-24 05:02:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
msg-unread (77.24 KB, image/png)
2012-08-13 09:39 EDT, David Botzer
no flags Details
serverLOG (344.90 KB, application/x-gzip)
2012-08-13 09:40 EDT, David Botzer
no flags Details
Stuck-MSG_view (69.24 KB, application/x-gzip)
2012-09-27 02:50 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-08-13 09:39:19 EDT
Created attachment 604011 [details]
msg-unread

Description of problem:
View->Messages when changes the messages to Unread
Gives error "Server Error" and stuck

Version-Release number of selected component (if applicable):
3.1/si13.1
ovirt-engine-dwh-3.1.0-8.noarch
ovirt-engine-reports-3.1.0-5.noarch
jasperreports-server-pro-4.7.0-1.el6ev.noarch


How reproducible:
always

Steps to Reproduce:
1.Create many Tasks to any BRs for 1min with incorrect email address as To:
2.Open view->Messages
3.Change to Unread
  
Actual results:
Gets error and stuck

Expected results:
Should change view

Additional info:
Comment 1 David Botzer 2012-08-13 09:40:33 EDT
Created attachment 604012 [details]
serverLOG
Comment 2 Yaniv Lavi 2012-09-26 15:06:40 EDT
Please recreate and add log for this error alone.



Yaniv
Comment 3 David Botzer 2012-09-27 02:50:06 EDT
Recreated 3.1/si18.1 (aqua-vds1)
I changed the defaults on js.quartz.properties to unknown smtp server

2012-09-27 08:46:25,988 ERROR ReportExecutionJobAlertImpl,quartzScheduler_Worker-1:104 - Error while sending report
 job alert notification
javax.mail.internet.AddressException: Illegal address in string ``''
        at org.springframework.mail.javamail.MimeMessageHelper.parseAddress(MimeMessageHelper.java:708)
        at org.springframework.mail.javamail.MimeMessageHelper.setTo(MimeMessageHelper.java:592)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJobAlertImpl.sendAlertMail(ReportExecutionJobAlertImpl.java:78)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJob.sendAlertMail(ReportExecutionJob.java:566)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJob.executeAndSendReport(ReportExecutionJob.java:546)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJob.execute(ReportExecutionJob.java:215)
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213)
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557)
2012-09-27 08:46:25,988 ERROR ReportExecutionJob,quartzScheduler_Worker-1:304 - fail to send out alert mail notification
com.jaspersoft.jasperserver.api.JSExceptionWrapper: 
javax.mail.internet.AddressException: Illegal address in string ``''
        at org.springframework.mail.javamail.MimeMessageHelper.parseAddress(MimeMessageHelper.java:708)
        at org.springframework.mail.javamail.MimeMessageHelper.setTo(MimeMessageHelper.java:592)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJobAlertImpl.sendAlertMail(ReportExecutionJobAlertImpl.java:78)
        at com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportExecutionJob.sendAlertMail(ReportExecutionJob.java:566)
Comment 4 David Botzer 2012-09-27 02:50:50 EDT
Created attachment 617909 [details]
Stuck-MSG_view
Comment 5 Yaniv Lavi 2012-12-24 05:02:18 EST
This bug attached logs are not specific to this issue and the step to reproduce are not clear enough. Please recreate and reopen only if you can supply both steps to reproduce and log sections with the relevant exceptions.



Yaniv

Note You need to log in before you can comment on or make changes to this bug.